Loading...
Searching...
No Matches
janus_session Struct Reference

Janus Core-Client session. More...

`#include <janus.h>`

Collaboration diagram for janus_session:
[legend]

## Data Fields

guint64 | session_id
| Janus Core-Client session ID.
GHashTable * | ice_handles
| Map of handles this session is managing.
gint64 | last_activity
| Time of the last activity on the session.
janus_request * | source
| Pointer to the request instance (and the transport that originated the session).
volatile gint | timedout
| Flag to notify there's been a session timeout.
gint | timeout
| Timeout value in seconds to use with this session, 0 is unlimited, -1 is global session timeout setting.
volatile gint | transport_gone
| Flag to notify that transport is gone.
janus_mutex | mutex
| Mutex to lock/unlock this session.
volatile gint | destroyed
| Atomic flag to check if this instance has been destroyed.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

Janus Core-Client session.

## Field Documentation

## destroyed

volatile gint janus_session::destroyed

Atomic flag to check if this instance has been destroyed.

## ice_handles

GHashTable* janus_session::ice_handles

Map of handles this session is managing.

## last_activity

gint64 janus_session::last_activity

Time of the last activity on the session.

## mutex

janus_mutex janus_session::mutex

Mutex to lock/unlock this session.

## ref

janus_refcount janus_session::ref

Reference counter for this instance.

## session_id

guint64 janus_session::session_id

Janus Core-Client session ID.

## source

janus_request* janus_session::source

Pointer to the request instance (and the transport that originated the session).

## timedout

volatile gint janus_session::timedout

Flag to notify there's been a session timeout.

## timeout

gint janus_session::timeout

Timeout value in seconds to use with this session, 0 is unlimited, -1 is global session timeout setting.

## transport_gone

volatile gint janus_session::transport_gone

Flag to notify that transport is gone.

The documentation for this struct was generated from the following file:

- janus.h